<?php
/* Autor...:  */
/* Esquema.: MST_Pais.xml */
/* Generado: 2021-08-07 04:50:36 */

/* Metodos de acceso a los campos de la tabla MST_Pais */
abstract class BaseMST_PaisBN
{
    /* Campos de la tabla */
    private $s_Id;    // Id: ( no definido )
    private $s_Nombre;    // Nombre: ( no definido )

    /* Establece el valor del campo Id */
    public function setId( $s_Id )
    {
        $this->s_Id = $s_Id;
    }

    /* Obtiene el valor del campo Id */
    public function getId()
    {
        return $this->s_Id;
    }

    /* Establece el valor del campo Nombre */
    public function setNombre( $s_Nombre )
    {
        $this->s_Nombre = $s_Nombre;
    }

    /* Obtiene el valor del campo Nombre */
    public function getNombre()
    {
        return $this->s_Nombre;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'Id' => $this->getId(),
            'Nombre' => $this->getNombre(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto MST_PaisBN desde un RecordSet */
    public static function retrieveByRs( $o_MST_PaisRs )
    {
        $o_MST_PaisBN = new MST_PaisBN();
        $o_MST_PaisBN->setId( $o_MST_PaisRs[ "Id" ] );
        $o_MST_PaisBN->setNombre( $o_MST_PaisRs[ "Nombre" ] );
        return $o_MST_PaisBN;
    }
}
?>